Get LinkedIn recommendations

Get recommendations for a LinkedIn person.

GET/v2/linkedin/people/{entityId}/recommendations
3credits
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
entityIdstringrequiredpath

LinkedIn person entity ID. Not a vanity handle.

min 1 chars · max 500 chars

Response fields
40
datasourceFamily
string

one of: live

datalookupStatus
string

one of: found, not_found

Recommendations received in source order when observed.

datarecommendationsreceived[]text
stringnullable

Recommendation text when observed.

datarecommendationsreceived[]caption
stringnullable

Recommendation relationship caption when observed.

Person attached to the recommendation when observed.

datarecommendationsreceived[]recommendeename
stringnullable

Recommendation person's display name when observed.

datarecommendationsreceived[]recommendeeheadline
stringnullable

Recommendation person's headline when observed.

datarecommendationsreceived[]recommendeeentityId
stringnullable

Recommendation person's entity identifier when observed.

datarecommendationsreceived[]recommendeeurl
stringnullable

Recommendation person's LinkedIn URL when observed.

datarecommendationsreceived[]recommendeeprofilePictureUrl
stringnullable

Recommendation person's profile picture URL when observed.

Recommendations given in source order when observed.

datarecommendationsgiven[]text
stringnullable

Recommendation text when observed.

datarecommendationsgiven[]caption
stringnullable

Recommendation relationship caption when observed.

Person attached to the recommendation when observed.

datarecommendationsgiven[]recommendeename
stringnullable

Recommendation person's display name when observed.

datarecommendationsgiven[]recommendeeheadline
stringnullable

Recommendation person's headline when observed.

datarecommendationsgiven[]recommendeeentityId
stringnullable

Recommendation person's entity identifier when observed.

datarecommendationsgiven[]recommendeeurl
stringnullable

Recommendation person's LinkedIn URL when observed.

datarecommendationsgiven[]recommendeeprofilePictureUrl
stringnullable

Recommendation person's profile picture URL when observed.

datarecommendationstotal
numbernullable

Total recommendations when observed.

datarecommendationstotalGiven
numbernullable

Total recommendations given when observed.

datarecommendationstotalReceived
numbernullable

Total recommendations received when observed.

datapagekind
string

one of: cursor, offset, page

datapagenextCursor
stringnullable
datapagehasMore
booleannullable

Null when continuation is unknown for this page.

datapagestart
integernullable

≥ 0

datapagepage
integernullable

≥ 0

datapagecount
integernullable

≥ 0

datapagereturnedCount
integer

≥ 0

datapagetotal
integernullable

≥ 0

datapagetotalPages
integernullable

≥ 0

datareportedTotal
numbernullable

Total reported for this page of results; not a guarantee of globally retrievable matches.

≥ 0

Metadata about the API response.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v2

Code example

curl "https://api.socialfetch.dev/v2/linkedin/people/ACoAAAAKXBwBikfbNJww68eYvcu2dqDYJhHbp4g/recommendations" \
  -H "x-api-key: YOUR_API_KEY"

Responses

LinkedIn recommendations.